Bug 200548 - security/libsodium: update to version 1.0.3
Summary: security/libsodium: update to version 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vsevolod Stakhov
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-05-31 06:36 UTC by rsimmons0
Modified: 2015-06-13 16:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vsevolod)


Attachments
security/libsodium: patch to update to version 1.0.3 (1.50 KB, text/plain)
2015-05-31 06:36 UTC, rsimmons0
koobs: maintainer-approval? (vsevolod)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rsimmons0 2015-05-31 06:36:16 UTC
Created attachment 157299 [details]
security/libsodium: patch to update to version 1.0.3

Here is a patch to update security/libsodium to version 1.0.3.

I added the github releases URL to MASTER_SITES. Is this the correct way? I don't see an appropriate macro listed for this type of github URL in the Porter's Handbook.
Comment 1 Vsevolod Stakhov freebsd_committer 2015-06-11 00:32:42 UTC
I don't see any tags on github for this release. I need to ask author about that release.
Comment 2 rsimmons0 2015-06-11 02:00:07 UTC
Tag is there. Do you mean that there is no packaged release on github?

https://github.com/jedisct1/libsodium/blob/1.0.3/ChangeLog
https://github.com/jedisct1/libsodium/tree/1.0.3

The author packaged the release in the normal place on the main site:
https://download.libsodium.org/libsodium/releases/

Also, posted release announcement on main site:
https://download.libsodium.org/doc/
"Version 1.0.3 was released on May 9, 2015."

Perhaps the author is not using Github for releases? Or that's a secondary release location that was overlooked?
Comment 3 commit-hook freebsd_committer 2015-06-13 16:15:14 UTC
A commit references this bug:

Author: vsevolod
Date: Sat Jun 13 16:14:58 UTC 2015
New revision: 389468
URL: https://svnweb.freebsd.org/changeset/ports/389468

Log:
  - Updated libsodium to 1.0.3 [1]
  - Bump revision for dependent ports

  PR:		200548 [1]
  Submitted by:	rsimmons0 at gmail.com [1]

Changes:
  head/dns/curvedns/Makefile
  head/dns/dnscrypt-proxy/Makefile
  head/ftp/pure-ftpd/Makefile
  head/net/libzmq4/Makefile
  head/net-im/qTox/Makefile
  head/net-im/tox/Makefile
  head/security/libsodium/Makefile
  head/security/libsodium/distinfo
  head/security/libsodium/pkg-plist
  head/security/p5-Crypt-Sodium/Makefile
  head/security/py-libnacl/Makefile
  head/security/reop/Makefile
Comment 4 Vsevolod Stakhov freebsd_committer 2015-06-13 16:15:56 UTC
Committed, thanks!